<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Login</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <!-- Custom styles for this template -->
    <link href="/stylesheets/main.css" rel="stylesheet">
</head>

<body>

    <!-- <div class="topbar d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 border-bottom box-shadow">
        <h5 class="my-0 mr-md-auto font-weight-normal"><img class="logo" src="/images/logo-avaamo.svg" alt=""></h5>
    </div> -->


    <nav class="navbar navbar-fixed-top">
        <div class="container-fluid">
            <div class="navbar-left">
                <a class="navbar-brand">
                    <img alt="Avaamo" class="logo" src="/images/logo-avaamo.svg">
                </a>
            </div>
            <div class="navbar-right">
                <!-- <a href="#0" class="navbar-link">Help</a> -->
            </div>
        </div>
    </nav>


    <div class="container-fluid main-container">
        <div class="row main-row">
            <div class="col-md-8 main left">

                <div class="loginpage-center">
                    <div class="preview">
                        <div class="preview-image">
                            <img class="dx" src="/images/live-agent.png">
                        </div>
                        <div class="preview-text dx">
                            <h1>Avaamo<br> Live Agent</h1>
                        </div>
                    </div>
                    <p class="description">Adding live agent integrations to your Avaamo DX agents.</p>
                </div>

            </div>
            <div class="col-md-4 main right" id="right">

                <div class="loginpage-center" v-if="loginStatus !== 200">
                    <form action="" class="login" id="login" @submit.prevent="login">
                        <h4>Login</h4>
                        <div class="form-group">
                            <label for="email" class="danger" v-if="loginStatus === 403">Could not send your pin.
                                Please try
                                again.</label>
                            <label for="email" v-else>Enter your email</label>
                            <input type="text" class="form-control" name="email" v-model="email">
                        </div>
                        <input type="submit" class="btn btn-primary" value="Login">
                    </form>
                </div>
                <div class="loginpage-center" v-if="loginStatus === 200">
                    <form action="" class="verification" id="verification" @submit.prevent="verify">
                        <h4>Pin</h4>
                        <div class="form-group">
                            <label for="pin" class="danger" v-if="pinStatus === 403">Incorrect PIN</label>
                            <label for="pin" v-else>Enter your verification PIN we’ve sent you</label>
                            <div class="input-group">
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin1" id="one" onkeyup="Validate(this,'two')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin2" id="two" onkeyup="Validate(this,'three')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin3" id="three" onkeyup="Validate(this,'four')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin4" id="four" onkeyup="Validate(this,'five')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin5" id="five" onkeyup="Validate(this,'six')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin6" id="six" onkeyup="Validate(this,'seven')"/>

                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin7" id="seven" onkeyup="Validate(this,'eight')"/>
                                    
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin8" id="eight"/>
                            </div>

                            <!-- <div class="input-group">
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin1" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin2" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin3" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin4" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin5" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin6" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin7" />
                                <input type="text" maxlength="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    v-model="pin8" />
                            </div> -->
                            <!-- <input type="text" class="form-control" name="pin" v-model="pin"> -->
                        </div>
                        <input type="submit" class="btn btn-primary" value="Confirm">
                    </form>
                </div>

            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src ="https://cdnjs.cloudflare.com/ajax/libs/vue-router/2.6.0/vue-router.min.js"></script>

    <script>
 
  function Validate(current,nextId)
        {
            console.log("THE NEW CODE");
            if(current.value.length == current.maxLength) 
            {
                document.getElementById(nextId).focus();
            }

        }

        const app = new Vue({
            el: '#right',
           // router,
            data: {
                email: '',
                pin: '',
                pin1: '',
                pin2: '',
                pin3: '',
                pin4: '',
                pin5: '',
                pin6: '',
                pin7: '',
                pin8: '',
                loginStatus: 0,
                pinStatus: 0
            },
            methods: {
                login: function () {
                    let self = this;
                    fetch('/api/user/activation', {
                        method: 'POST',
                        body: JSON.stringify({
                            email: this.email
                        }),
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    })
                        .then((res) => {
                            console.log(res)
                            self.loginStatus = res.status;
                        });
                },
                verify: function () {
                    let self = this;
                    console.log(`${this.pin1}${this.pin2}${this.pin3}${this.pin4}${this.pin5}${this.pin6}${this.pin7}${this.pin8}`);
                    fetch('/api/user/auth', {
                        method: 'POST',
                        body: JSON.stringify({
                            email: this.email,
                            pin: `${this.pin1}${this.pin2}${this.pin3}${this.pin4}${this.pin5}${this.pin6}${this.pin7}${this.pin8}`
                        }),
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    })
                        .then((res) => {
                            console.log(res);
                            console.log(res.json);
                            console.log(res.body);
                            self.pinStatus = res.status;        
                            return res.json();
                        }).then(data => {
                            console.log("data",data);
                            console.log('LocalStorage',data.token);
                            localStorage.setItem('accountId',data.accountId);
                            localStorage.setItem('token', data.token);
                            localStorage.setItem('roles',data.roles[0].roles);
                            localStorage.setItem('firstName',data.firstName);
                            localStorage.setItem('lastName',data.lastName);
                            localStorage.setItem('queue',data.filter);
                            window.location = "/users/conversations";

                            
                        });
                }
            }
        });
    </script>
</body>

</html>